* {
    font-family:BubbleSans;
}
@font-face {
    font-family: BubbleSans; 
    src: url(assets/Bubble\ Sans.otf);
}

html {
    /* background: url('assets/wormtile.gif') 0 0/20% 40%;
    animation: scroll 50s linear infinite; 
    background-size: 10vh;*/
    background:url('assets/linedpaper.jpg');
    background-size: cover;
    text-align: center;

}

ul {
    list-style: url("assets/bullet.gif");
    text-align: left;
}

p, li {
    font-size: 3vh
}

a {
    color:rgb(255, 60, 129)
}

a:hover {
    color:rgb(75, 134, 243)

}

/* Flex stuff */

.flexy {
    display:flex;
}

.flexy>div{
    margin:1rem;
    width:50%
}

.flxParent {
    display: flex;
    justify-content: left;
    align-items: flex-start;
    margin: 2rem;
}
.flxParent > div {
    margin: 1vw;
    padding: 2vw;
    font-size: 4vh;
}

/* Responsive stuff */
@media only screen and (max-width: 650px) {
    .flexy {
        flex-direction: column; 
    }
    .flexy div, .flxParent div {
        width: 100%;           
    }
    .flxParent {
        flex-direction: column;
        margin:0
    }
} 

/* Wormified */

h1, h2, h3 {
    text-align: center;
    color: pink; 
    text-shadow: 3px 3px 3px rgba(190, 79, 88, 0.5);
}

.tilty {
    animation: tilty 2s ease-in-out alternate infinite;
    /* transform-origin: 0%; */
}

.shaky {
    animation: shake 0.5s infinite;
    animation-timing-function: steps(2, jump-start)
}

/* Scrolling anim */
@keyframes scroll {
    to {background-position:200% -200%}
}

@keyframes tilty {
    0%{transform: rotate(5deg) scale(1.1);}
    100%{transform:rotate(-5deg) scale(0.9);}
}

@keyframes shake {
    0% {transform: translate(1px, -2px);}
    10% {transform: translate(2px, -1px);}
    20% {transform: translate(-2px, 2px);}
    30% {transform: translate(1px, 2px);}
    40% {transform: translate(1px, -2px);}
    50% {transform: translate(-1px, 2px);}
    60% {transform: translate(2px, -2px);}
    70% {transform: translate(2px, 1px);}
    80% {transform: translate(1px, -2px);}
    90% {transform: translate(2px, -1px);}
    100% {transform: translate(-2px, 1px);}
}

/* inline images */
 
.flavoured {
    display:flex;
    justify-content:center; 
    align-items:center;
    height: 4rem;
    width: 100%;
}

.flavoured img {
    height: 2rem;
    width:min-content;
}


/* Tape? */

#topRight {
    position: absolute;
    top: -2rem;
    right:-2rem;
    width: 7rem;
}

#topLeft {
    position: absolute;
    top: -2rem;
    left:-2rem;
    width:7rem;
}

#topCenter {
    position:absolute;
    top:-3rem;
    left:50%;
    right:50%;
    width:5rem;
}

#bottomLeft{
    position: absolute;
    bottom: -2rem;
    left:-2rem;
    width:5rem;
}

#bottomRight{
    position: absolute;
    bottom: -2rem;
    right:-2rem;
    width:5rem;
}

#bottomCenter{
    position:absolute;
    bottom:-3rem;
    left:50%;
    right:50%;
    width:5rem;
}

#topLeft, #topRight, #bottomLeft, #bottomRight, #topCenter, #bottomCenter {
    filter: drop-shadow(3px 3px 3px rgba(0, 0, 125,0.5))
}


/* Main conts */
.mainview {
    width: 60%;
    height: 75vh;
    position: relative;
    padding:2rem;

    background: linear-gradient(rgb(94, 148, 255),rgb(166, 196, 255));
    border-radius: 255px 15px 225px 15px/15px 225px 15px 255px;
    border: 5px solid rgb(23, 85, 210);
    box-shadow: 10px 10px 10px rgba(0, 0, 125, 0.5);
    color:rgb(30, 67, 139);
}

.mainview > div:not(.flavoured), .sidebar > div:not(.flavoured) {
    padding:0.5rem;

    background:linear-gradient(to top, rgb(225, 237, 255),rgb(115, 171, 255));
    border: 3px solid rgb(225, 237, 255);
    border-radius: 20px;
}

.mainview > div:not(.flavoured){
    height: 45vh;
}

.mainview > div > div, .sidebar>div>div{
    padding:1rem;
    overflow-y: scroll;
    height: 41vh;

    background:rgb(227, 236, 255);
    border:3px solid rgb(227, 236, 255);
    border-radius:20px;
}

.sidebar {
    width: fit-content;
    position: relative;

    background: linear-gradient(rgb(53, 113, 255),rgb(149, 181, 255));
    border-radius: 15px 255px 15px 255px/255px 15px 255px 15px;
    border: 5px solid rgb(62, 87, 147);
    color: rgb(44, 74, 146);
    box-shadow: 10px 10px 10px rgba(0, 0, 125,0.5);
}

/* thanks stackoverflow now bluh cant get me */
img, .background-image { 
    image-rendering: optimizeSpeed;             /* STOP SMOOTHING, GIVE ME SPEED  */
    image-rendering: -moz-crisp-edges;          /* Firefox                        */
    image-rendering: -o-crisp-edges;            /* Opera                          */
    image-rendering: -webkit-optimize-contrast; /* Chrome (and eventually Safari) */
    image-rendering: pixelated;                 /* Universal support since 2021   */
    image-rendering: optimize-contrast;         /* CSS3 Proposed                  */
    -ms-interpolation-mode: nearest-neighbor;   /* IE8+                           */
}
